SVNCancelException (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.SVNCancelException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core
Class SVNCancelException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.tmatesoft.svn.core.SVNException
                  org.tmatesoft.svn.core.SVNCancelException

All Implemented Interfaces:
  Serializable

public class SVNCancelException
extends SVNException

The SVNCancelException is used to signal about an operation cancel event.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  `SVNException`, Serialized Form

Constructor Summary
`SVNCancelException()` Creates a cancel exception.
`SVNCancelException(SVNErrorMessage errorMessage)` Constructs an SVNCancelException given the error message.

Methods inherited from class org.tmatesoft.svn.core.SVNException
`getErrorMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVNCancelException

    public SVNCancelException()

  Creates a cancel exception.

### SVNCancelException

    public SVNCancelException(SVNErrorMessage errorMessage)

  Constructs an SVNCancelException given the error message.

Parameters:
  `errorMessage` - an error message describing why the operation was cancelled

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.